petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSortMPIInt

Sorts an array of MPI integers in place in increasing order.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortMPIInt(PetscInt n,PetscMPIInt X[])

Not Collective

### Input Parameters

| n | - number of values
| X | - array of integers

### See Also

PetscSortReal(), PetscSortIntWithPermutation()

### Level

intermediate

### Location

src/sys/utils/sorti.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages